Main Page Groups Namespaces

# slot_base.h File Reference

## Namespaces
namespace | sigc
namespace | sigc::internal
## Classes
struct | sigc::internal::slot_rep
| Internal representation of a slot. More...
struct | sigc::internal::slot_do_bind
| Functor used to add a dependency to a trackable. More...
struct | sigc::internal::slot_do_unbind
| Functor used to remove a dependency from a trackable. More...
class | sigc::slot_base
| Base type for slots. More...
## Typedefs
typedef void*(* | hook )(void*)

## Typedef Documentation

typedef void*(* sigc::internal::hook)(void*)